org.gcube.dataanalysis.dataminer.poolmanager.datamodel.comparator

## Class DependencyComparator

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.comparator.DependencyComparator

All Implemented Interfaces:
  Comparator<Dependency>

    public class DependencyComparator
    extends Object
    implements Comparator<Dependency>

### Constructor Summary

Constructors
Constructor and Description
`DependencyComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Dependency a1, Dependency a2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### DependencyComparator

    public DependencyComparator()

### Method Detail

#### compare

    public int compare(Dependency a1,
                       Dependency a2)

Specified by:
  `compare` in interface `Comparator<Dependency>`